<?php return array (
  'plugins.pubIds.doi.displayName' => 'DOI',
  'plugins.pubIds.doi.description' => 'This plugin enables the assignment of the Digital Object Identifiers to issues, articles and galleys in OJS.',
  'plugins.pubIds.doi.readerDisplayName' => 'DOI',
  'plugins.pubIds.doi.manager.settings.description' => 'Please configure the DOI plugin to be able to manage and use DOIs in OJS:',
  'plugins.pubIds.doi.manager.settings.doiObjects' => 'Journal Content',
  'plugins.pubIds.doi.manager.settings.doiObjectsRequired' => 'Please choose the objects DOIs should be assigned to.',
  'plugins.pubIds.doi.manager.settings.explainDois' => 'Please select the publishing objects that will have Digital Object Identifiers (DOI) assigned:',
  'plugins.pubIds.doi.manager.settings.enableIssueDoi' => 'Issues',
  'plugins.pubIds.doi.manager.settings.enablePublicationDoi' => 'Articles',
  'plugins.pubIds.doi.manager.settings.enableRepresentationDoi' => 'Galleys',
  'plugins.pubIds.doi.manager.settings.doiPrefix' => 'DOI Prefix',
  'plugins.pubIds.doi.manager.settings.doiPrefix.description' => 'The DOI Prefix is assigned by registration agencies (e.g. <a href="http://www.crossref.org" target="_new">Crossref</a>) and is in the format 10.xxxx (e.g. 10.1234):',
  'plugins.pubIds.doi.manager.settings.doiPrefixPattern' => 'The DOI prefix is mandatory and must be in the form 10.xxxx.',
  'plugins.pubIds.doi.manager.settings.doiSuffix' => 'DOI Suffix',
  'plugins.pubIds.doi.manager.settings.doiSuffix.description' => 'A DOI suffix can take any form, but must be unique among all publishing objects with the same DOI prefix assigned:',
  'plugins.pubIds.doi.manager.settings.doiSuffixPattern' => 'Use the pattern entered below to generate DOI suffixes. Use %j for journal initials, %v for the volume number, %i for the issue number, %Y for the year, %a for the OJS article ID, %g for the OJS galley ID, %f for the OJS file ID, %p for the page number and %x for "Custom Identifier".',
  'plugins.pubIds.doi.manager.settings.doiSuffixPattern.example' => 'For example, vol%viss%ipp%p could create a DOI such as 10.1234/vol3iss2pp230',
  'plugins.pubIds.doi.manager.settings.doiSuffixPattern.issues' => 'for issues',
  'plugins.pubIds.doi.manager.settings.doiSuffixPattern.submissions' => 'for articles',
  'plugins.pubIds.doi.manager.settings.doiSuffixPattern.representations' => 'for galleys',
  'plugins.pubIds.doi.manager.settings.doiSuffixDefault' => 'Use default patterns.',
  'plugins.pubIds.doi.manager.settings.doiSuffixDefault.description' => '%j.v%vi%i for issues<br />%j.v%vi%i.%a for articles<br />%j.v%vi%i.%a.g%g for galleys.',
  'plugins.pubIds.doi.manager.settings.doiSuffixCustomIdentifier' => 'Enter an individual DOI suffix for each published item. You\'ll find an additional DOI input field on each item\'s meta-data page.',
  'plugins.pubIds.doi.manager.settings.doiIssueSuffixPatternRequired' => 'Please enter the DOI suffix pattern for issues.',
  'plugins.pubIds.doi.manager.settings.doiSubmissionSuffixPatternRequired' => 'Please enter the DOI suffix pattern for articles.',
  'plugins.pubIds.doi.manager.settings.doiRepresentationSuffixPatternRequired' => 'Please enter the DOI suffix pattern for galleys.',
  'plugins.pubIds.doi.manager.settings.doiReassign' => 'Reassign DOIs',
  'plugins.pubIds.doi.manager.settings.doiReassign.description' => 'If you change your DOI configuration, DOIs that have already been assigned will not be affected. Once the DOI configuration is saved, use this button to clear all existing DOIs so that the new settings will take effect with existing objects.',
  'plugins.pubIds.doi.manager.settings.doiReassign.confirm' => 'Are you sure you wish to delete all existing DOIs?',
  'plugins.pubIds.doi.manager.settings.doiAssignJournalWide' => 'Assign DOIs',
  'plugins.pubIds.doi.manager.settings.doiAssignJournalWide.description' => 'Assign DOIs to all published journal objects that have not been assigned DOIs. This action can not be used with the individual suffix configuration. If you have modified the DOI configuration above, please save your changes before initiating this action. Assigning DOIs may take a long time, depending on the number of published objects in the journal.',
  'plugins.pubIds.doi.manager.settings.doiAssignJournalWide.confirm' => 'Are you sure you wish to assign DOIs to all published objects that have not been assigned DOIs?',
  'plugins.pubIds.doi.editor.doi' => 'DOI',
  'plugins.pubIds.doi.editor.doi.description' => 'The DOI must begin with {$prefix}.',
  'plugins.pubIds.doi.editor.doi.assignDoi' => 'Assign',
  'plugins.pubIds.doi.editor.doiObjectTypeIssue' => 'issue',
  'plugins.pubIds.doi.editor.doiObjectTypeSubmission' => 'article',
  'plugins.pubIds.doi.editor.doiObjectTypeRepresentation' => 'galley',
  'plugins.pubIds.doi.editor.customSuffixMissing' => 'The DOI cannot be assigned because the custom suffix is missing.',
  'plugins.pubIds.doi.editor.missingIssue' => 'You can not generate a DOI until this publication has been assigned to an issue.',
  'plugins.pubIds.doi.editor.missingParts' => 'You can not generate a DOI because one or more parts of the DOI pattern are missing data. You may need to assign the publication to an issue, set a publisher ID or enter page numbers.',
  'plugins.pubIds.doi.editor.patternNotResolved' => 'The DOI cannot be assigned because it contains an unresolved pattern.',
  'plugins.pubIds.doi.editor.canBeAssigned' => 'What you see is a preview of the DOI. Select the checkbox and save the form to assign the DOI.',
  'plugins.pubIds.doi.editor.assigned' => 'The DOI is assigned to this {$pubObjectType}.',
  'plugins.pubIds.doi.editor.doiSuffixCustomIdentifierNotUnique' => 'The given DOI suffix is already in use for another published item. Please enter a unique DOI suffix for each item.',
  'plugins.pubIds.doi.editor.clearObjectsDoi' => 'Clear',
  'plugins.pubIds.doi.editor.clearObjectsDoi.confirm' => 'Are you sure you wish to delete the existing DOI?',
  'plugins.pubIds.doi.editor.clearIssueObjectsDoi' => 'Clear Issue Objects DOIs',
  'plugins.pubIds.doi.editor.clearIssueObjectsDoi.confirm' => 'Are you sure you wish to delete the existing issue objects DOIs?',
  'plugins.pubIds.doi.editor.clearIssueObjectsDoi.description' => 'Use the following option to clear DOIs of all objects (articles and galleys) currently scheduled for this issue.',
  'plugins.pubIds.doi.editor.assignDoi' => 'Assign the DOI {$pubId} to this {$pubObjectType}',
  'plugins.pubIds.doi.editor.assignDoi.emptySuffix' => 'The DOI cannot be assigned because the custom suffix is missing.',
  'plugins.pubIds.doi.editor.assignDoi.pattern' => 'The DOI {$pubId} cannot be assigned because it contains an unresolved pattern.',
  'plugins.pubIds.doi.editor.assignDoi.assigned' => 'The DOI {$pubId} has been assigned.',
  'plugins.pubIds.doi.editor.missingPrefix' => 'The DOI must begin with {$doiPrefix}.',
  'plugins.pubIds.doi.editor.preview.publication' => 'The DOI for this publication will be {$doi}.',
  'plugins.pubIds.doi.editor.preview.publication.none' => 'A DOI has not been assigned to this publication.',
  'plugins.pubIds.doi.editor.preview.galleys' => 'Galley: {$galleyLabel}',
  'plugins.pubIds.doi.editor.preview.objects' => 'Item',
  'plugins.pubIds.doi.editor.noDoiAssigned' => 'No DOI is assigned.',
);