<?php
import('lib.pkp.classes.plugins.ThemePlugin');
class jdcThemePlugin extends ThemePlugin {

    /**
     * Load the custom styles for our theme
     * @return null
     */
    public function init() {
        $this->setParent('defaultthemeplugin');

        $this->addLocaleData();

        $this->addStyle(
			'material-symbols',
			'//fonts.googleapis.com/css2?family=Material+Symbols+Rounded',
			array('baseUrl' => 'https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" rel="stylesheet'));
        $this->addStyle(
			'swiper-style',
			'//cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css',
			array('baseUrl' => 'https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css" rel="stylesheet'));
        $this->addStyle('jdc-style', 'styles/jdc-styles.css');

        $this->addScript(
            'swiper-script', 
            'https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js', 
            array('baseUrl' => '')
        );
        $this->addScript('jdc-menu-mobile', 'js/jdc-menu-mobile.js');
        $this->addScript('jdc-functions', 'js/jdc-functions.js');

        $this->addOption('pubHeaderTitle', 'text', array(
            'label' => __('plugins.themes.jdc.pubHeaderTitle'),
            'description' => __('plugins.themes.jdc.pubHeaderTitleDescription')
        ));

        $this->addOption('pubContactEmail', 'text', array(
            'label' => __('plugins.themes.jdc.pubContactEmail'),
            'description' => __('plugins.themes.jdc.pubContactEmailDescription')
        ));

        $this->addOption('pubContactPhone', 'text', array(
            'label' => __('plugins.themes.jdc.pubContactPhone'),
            'description' => __('plugins.themes.jdc.pubContactPhoneDescription')
        ));

        $this->addOption('pubHeaderLinks', 'FieldRichTextarea', array(
            'label' => __('plugins.themes.jdc.pubHeaderLinks'),
            'description' => __('plugins.themes.jdc.pubHeaderLinksDescription'),
        ));

        HookRegistry::register('TemplateManager::display', array($this, 'loadTemplateData'));
    }

    public function loadTemplateData($hookName, $args) {
        $request = Application::get()->getRequest();
        $context = $request->getContext();
        $templateMgr = $args[0];
        $templateMgr->assign('rbvbThemePlugin', $this);
        $templateMgr->assign('isFullWidth', true);
        if ($context) {
            $journalUrlPath = $request->getRequestPath();
            $templateMgr->assign('isFullWidth', false);
            $templateMgr->assign('isJournalPage', true);
        } else $templateMgr->assign('isJournalPage', false);
    }

    /**
     * Get the display name of this theme
     * @return string
     */
    function getDisplayName() {
        return __('plugins.themes.jdc.name');
    }

    /**
     * Get the description of this plugin
     * @return string
     */
    function getDescription() {
        return __('plugins.themes.jdc.description');
    }
    
    public function getLocale() {
        return 'es_ES'; 
    }

    public function getPubHeaderLinks() {
        return str_replace('<p>', '', str_replace('</p>', '', str_replace('<br />', '', $this->getOption('pubHeaderLinks'))));
    }
}

