{**
 * templates/frontend/components/footer.tpl
 *
 * Copyright (c) 2014-2021 Simon Fraser University
 * Copyright (c) 2003-2021 John Willinsky
 * Distributed under the GNU GPL v3. For full terms see the file docs/COPYING.
 *
 * @brief Common site frontend footer.
 *
 * @uses $isFullWidth bool Should this page be displayed without sidebars? This
 *       represents a page-level override, and doesn't indicate whether or not
 *       sidebars have been configured for thesite.
 *}

			{* Sidebars *}
			{if empty($isFullWidth)}
				{capture assign="sidebarCode"}{call_hook name="Templates::Common::Sidebar"}{/capture}
				{if $sidebarCode}
					<div class="pkp_structure_sidebar left" role="complementary" aria-label="{translate|escape key="common.navigation.sidebar"}">
						{$sidebarCode}
					</div><!-- pkp_sidebar.left -->
				{/if}
			{/if}
 		</div><!-- maincontent-grid -->
	</div><!-- pkp_structure_main -->

	
</div><!-- pkp_structure_content -->

<div class="pkp_structure_footer_wrapper" role="contentinfo">
	<a id="pkp_content_footer"></a>

	<div class="pkp_structure_footer">

		{if $pageFooter}
			<div class="pkp_footer_content">
				{$pageFooter}
                <div  class="rbvb-footer-brands">
                    <div class="brand-contact">
                        <span>Gestión operacional, diseño y hosting</span>
                        <div class="rbvb">
                            <a href="https://redbookscol.com.co" target="_blank">
                                <img class="redbooks" src="{$baseUrl}/plugins/themes/jdc/images/logo-redbooks.webp" alt="RedBooks SAS">
                            </a>
                            <span class="separator"></span>
                            <a href="https://vobo.com.co" target="_blank">
                                <img class="vobo" src="{$baseUrl}/plugins/themes/jdc/images/logo-vobo.png" alt="VoBo Marketing SAS">
                            </a>
                        </div>
                        <span style="display: block; margin-top: 15px;">Tecnología</span>
                        <div class="ojs-brand-footer">
<a href="https://pkp.sfu.ca/software/ojs" target="_blank">
                                <img class="ojs-brand" src="{$baseUrl}/plugins/themes/jdc/images/ojs_brand-rbvb.png" alt="OJS / PKP">
                            </a>
                        </div>
                   </div>
                </div>
			</div>
		{/if}

		{* <div class="pkp_brand_footer" role="complementary">
			<a href="{url page="about" op="aboutThisPublishingSystem"}">
			</a>
		</div> *}
	</div>
</div><!-- pkp_structure_footer_wrapper -->

</div><!-- pkp_structure_page -->

{load_script context="frontend"}

{call_hook name="Templates::Common::Footer::PageFooter"}
</body>
</html>
