{**
 * templates/frontend/pages/userLostPassword.tpl
 *
 * Copyright (c) 2014-2021 Simon Fraser University
 * Copyright (c) 2000-2021 John Willinsky
 * Distributed under the GNU GPL v3. For full terms see the file docs/COPYING.
 *
 * Password reset form.
 *
 *}
{include file="frontend/components/header.tpl" pageTitle="user.login.resetPassword"}

<div class="page page_lost_password">
	{include file="frontend/components/breadcrumbs.tpl" currentTitleKey="user.login.resetPassword"}

	<div class="rbvb-userdata-container">
		<div class="inner">
			<h1>
				{translate key="user.login.resetPassword"}
			</h1>

			<p class="small-text">{translate key="user.login.resetPasswordInstructions"}</p>

			<form class="cmp_form lost_password" id="lostPasswordForm" action="{url page="login" op="requestResetPassword"}" method="post">
				{csrf}
				{if $error}
					<div class="pkp_form_error">
						{translate key=$error reason=$reason}
					</div>
				{/if}

				<div class="fields">
					<div class="email">
						<label>
							<span class="label">
								{translate key="user.login.registeredEmail"}
								<span class="required" aria-hidden="true">*</span>
								<span class="pkp_screen_reader">
									{translate key="common.required"}
								</span>
							</span>
							<input type="email" name="email" id="email" value="{$email|escape}" required aria-required="true">
						</label>
					</div>
					<div class="buttons">
						<button class="submit" type="submit">
							{translate key="user.login.resetPassword"}
						</button>
						<div class="aux-links">
							{if !$disableUserReg}
								{capture assign=registerUrl}{url page="user" op="register" source=$source}{/capture}
								<a href="{$registerUrl}" class="register">
									{translate key="user.login.registerNewAccount"}
								</a>
							{/if}

							{capture assign="rolesProfileUrl"}{url page="user" op="profile" path="roles"}{/capture}
							<a href="{url page="login" source=$rolesProfileUrl}" class="login">{translate key="user.login"}</a>
						</div>
					</div>
				</div>

			</form>
		</div>
	</div>

</div><!-- .page -->

{include file="frontend/components/footer.tpl"}
